PathsAndFiles (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.PathsAndFiles class
Date: 2021-05-10

net.sourceforge.jnlp.config

## Class PathsAndFiles

- java.lang.Object
- - net.sourceforge.jnlp.config.PathsAndFiles

-     public class PathsAndFiles
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InfrastructureFileDescriptor` | `APPLET_TRUST_SETTINGS_SYS`
    `static InfrastructureFileDescriptor` | `APPLET_TRUST_SETTINGS_USER`
    `static InfrastructureFileDescriptor` | `CACHE_DIR`
    `static java.lang.String` | `CACHE_INDEX_FILE_NAME`
    `static java.lang.String` | `DEPLOYMENT_SUBDIR_DIR`
    `static InfrastructureFileDescriptor` | `ETC_DEPLOYMENT_CFG`
    `static InfrastructureFileDescriptor` | `GEN_JNLPS_DIR`
    `static java.lang.String` | `ICEDTEA_SO`
    `static InfrastructureFileDescriptor` | `ICONS_DIR`
    `static InfrastructureFileDescriptor` | `JAVA_DEPLOYMENT_PROP_FILE`
    `static InfrastructureFileDescriptor` | `JAVA_POLICY`
    `static InfrastructureFileDescriptor` | `LOCKS_DIR`
    `static InfrastructureFileDescriptor` | `LOG_DIR`
    `static InfrastructureFileDescriptor` | `MAIN_LOCK`
    `static InfrastructureFileDescriptor` | `MENUS_DIR`
    `static InfrastructureFileDescriptor` | `MOZILA_GLOBAL_32`
    `static InfrastructureFileDescriptor` | `MOZILA_GLOBAL_64`
    `static InfrastructureFileDescriptor` | `MOZILA_USER`
    `static InfrastructureFileDescriptor` | `OPERA_32`
    `static InfrastructureFileDescriptor` | `OPERA_64`
    `static InfrastructureFileDescriptor` | `PCACHE_DIR`
    `static InfrastructureFileDescriptor` | `PIPES_DIR` PIPES_DIR and both Plugin Dirs are not instatiated to be used.
    `static InfrastructureFileDescriptor` | `SYS_CACERT`
    `static InfrastructureFileDescriptor` | `SYS_CERT`
    `static InfrastructureFileDescriptor` | `SYS_CLIENTCERT`
    `static InfrastructureFileDescriptor` | `SYS_JSSECAC`
    `static InfrastructureFileDescriptor` | `SYS_JSSECERT`
    `static InfrastructureFileDescriptor` | `TMP_DIR`
    `static InfrastructureFileDescriptor` | `USER_CACERTS`
    `static java.lang.String` | `USER_CACHE_HOME`
    `static InfrastructureFileDescriptor` | `USER_CERTS`
    `static InfrastructureFileDescriptor` | `USER_CLIENTCERT`
    `static java.lang.String` | `USER_CONFIG_HOME`
    `static java.lang.String` | `USER_DEFAULT_SECURITY_DIR`
    `static InfrastructureFileDescriptor` | `USER_DEPLOYMENT_FILE`
    `static InfrastructureFileDescriptor` | `USER_JSSECAC`
    `static InfrastructureFileDescriptor` | `USER_JSSECER`
    `static java.lang.String` | `XDG_CACHE_HOME_VAR`
    `static java.lang.String` | `XDG_CONFIG_HOME_VAR`
    `static java.lang.String` | `XDG_RUNTIME_DIR_VAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathsAndFiles()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllFiles()`
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllItWebSettingsFiles()`
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllJavaWsFiles()`
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllPEFiles()`
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllPluginFiles()`
    `static java.util.List<InfrastructureFileDescriptor>` | `getAllSecurityFiles()`
    `static InfrastructureFileDescriptor` | `getRecentlyUsedFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEPLOYMENT_SUBDIR_DIR

          public static final java.lang.String DEPLOYMENT_SUBDIR_DIR

      See Also:
        Constant Field Values

    - #### USER_CONFIG_HOME

          public static final java.lang.String USER_CONFIG_HOME

    - #### USER_CACHE_HOME

          public static final java.lang.String USER_CACHE_HOME

    - #### USER_DEFAULT_SECURITY_DIR

          public static final java.lang.String USER_DEFAULT_SECURITY_DIR

    - #### XDG_CONFIG_HOME_VAR

          public static final java.lang.String XDG_CONFIG_HOME_VAR

      See Also:
        Constant Field Values

    - #### XDG_CACHE_HOME_VAR

          public static final java.lang.String XDG_CACHE_HOME_VAR

      See Also:
        Constant Field Values

    - #### XDG_RUNTIME_DIR_VAR

          public static final java.lang.String XDG_RUNTIME_DIR_VAR

      See Also:
        Constant Field Values

    - #### ICEDTEA_SO

          public static final java.lang.String ICEDTEA_SO

      See Also:
        Constant Field Values

    - #### CACHE_INDEX_FILE_NAME

          public static final java.lang.String CACHE_INDEX_FILE_NAME

      See Also:
        Constant Field Values

    - #### PIPES_DIR

          public static final InfrastructureFileDescriptor PIPES_DIR

      PIPES_DIR and both Plugin Dirs are not instatiated to be used. Do exists only for documentation purposes. Maintained by native part of ITW. Or outside ITW.

    - #### MOZILA_USER

          public static final InfrastructureFileDescriptor MOZILA_USER

    - #### MOZILA_GLOBAL_64

          public static final InfrastructureFileDescriptor MOZILA_GLOBAL_64

    - #### MOZILA_GLOBAL_32

          public static final InfrastructureFileDescriptor MOZILA_GLOBAL_32

    - #### OPERA_64

          public static final InfrastructureFileDescriptor OPERA_64

    - #### OPERA_32

          public static final InfrastructureFileDescriptor OPERA_32

    - #### CACHE_DIR

          public static final InfrastructureFileDescriptor CACHE_DIR

    - #### PCACHE_DIR

          public static final InfrastructureFileDescriptor PCACHE_DIR

    - #### LOG_DIR

          public static final InfrastructureFileDescriptor LOG_DIR

    - #### ICONS_DIR

          public static final InfrastructureFileDescriptor ICONS_DIR

    - #### GEN_JNLPS_DIR

          public static final InfrastructureFileDescriptor GEN_JNLPS_DIR

    - #### MENUS_DIR

          public static final InfrastructureFileDescriptor MENUS_DIR

    - #### APPLET_TRUST_SETTINGS_USER

          public static final InfrastructureFileDescriptor APPLET_TRUST_SETTINGS_USER

    - #### APPLET_TRUST_SETTINGS_SYS

          public static final InfrastructureFileDescriptor APPLET_TRUST_SETTINGS_SYS

    - #### ETC_DEPLOYMENT_CFG

          public static final InfrastructureFileDescriptor ETC_DEPLOYMENT_CFG

    - #### TMP_DIR

          public static final InfrastructureFileDescriptor TMP_DIR

    - #### LOCKS_DIR

          public static final InfrastructureFileDescriptor LOCKS_DIR

    - #### MAIN_LOCK

          public static final InfrastructureFileDescriptor MAIN_LOCK

    - #### JAVA_POLICY

          public static final InfrastructureFileDescriptor JAVA_POLICY

    - #### USER_CACERTS

          public static final InfrastructureFileDescriptor USER_CACERTS

    - #### USER_JSSECAC

          public static final InfrastructureFileDescriptor USER_JSSECAC

    - #### USER_CERTS

          public static final InfrastructureFileDescriptor USER_CERTS

    - #### USER_JSSECER

          public static final InfrastructureFileDescriptor USER_JSSECER

    - #### USER_CLIENTCERT

          public static final InfrastructureFileDescriptor USER_CLIENTCERT

    - #### SYS_CACERT

          public static final InfrastructureFileDescriptor SYS_CACERT

    - #### SYS_JSSECAC

          public static final InfrastructureFileDescriptor SYS_JSSECAC

    - #### SYS_CERT

          public static final InfrastructureFileDescriptor SYS_CERT

    - #### SYS_JSSECERT

          public static final InfrastructureFileDescriptor SYS_JSSECERT

    - #### SYS_CLIENTCERT

          public static final InfrastructureFileDescriptor SYS_CLIENTCERT

    - #### JAVA_DEPLOYMENT_PROP_FILE

          public static final InfrastructureFileDescriptor JAVA_DEPLOYMENT_PROP_FILE

    - #### USER_DEPLOYMENT_FILE

          public static final InfrastructureFileDescriptor USER_DEPLOYMENT_FILE

  - ### Constructor Detail

    - #### PathsAndFiles

          public PathsAndFiles()

  - ### Method Detail

    - #### getRecentlyUsedFile

          public static InfrastructureFileDescriptor getRecentlyUsedFile()

    - #### getAllFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllFiles()

    - #### getAllSecurityFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllSecurityFiles()

    - #### getAllJavaWsFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllJavaWsFiles()

    - #### getAllItWebSettingsFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllItWebSettingsFiles()

    - #### getAllPEFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllPEFiles()

    - #### getAllPluginFiles

          public static java.util.List<InfrastructureFileDescriptor> getAllPluginFiles()

Submit a bug or feature